DS_COMPARE_PACKET_DESC(3)

FUNCTION
ds_compare_packet_desc - Recursively compare two packet descriptors.

SYNOPSIS
#include <karma_ds.h>

flag ds_compare_packet_desc

(CONST packet_desc *desc1,CONST packet_desc *desc2, flag recursive)

DESCRIPTION
Recursively compare two packet descriptors.

desc1
    One of the packet descriptors.

desc2
    The other packet descriptor.

recursive
    If TRUE the routine will perform a recursive comparison of sub-arrays and linked list descriptors.

RETURN VALUE
TRUE if the two packet descriptors are equal, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/